Get Customer
GET
https://bank.dattaremit.com/api/customers/{customer_guid}Requires a bank-scoped key.
Retrieves a customer.
Required scope: customers:read Optional scope: customers:pii:read.
Path Params
customer_guidstringrequiredIdentifier for the customer.
Query Params
include_piibooleanInclude PII in the response (requires **customers:pii:read** scope).
Responses
200customer found
401Unauthorized - Authentication failed, invalid subject
403Invalid scope
404customer not found
Request
curl https://api.dattaremit.com/api/customers/{customer_guid} \
-H "Authorization: Bearer sk_test_YOUR_KEY"Response
customer found
{
"guid": "string",
"bank_guid": "string",
"type": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"state": "string",
"name": {
"first": "string",
"middle": "string",
"last": "string",
"full": "string"
},
"address": {
"street": "string",
"street2": "string",
"city": "string",
"subdivision": "string",
"postal_code": "string",
"country_code": "string"
},
"aliases": [
{
"first": "string",
"middle": "string",
"last": "string",
"full": "string"
}
],
"website": "string",
"date_of_birth": "1990-04-12",
"phone_number": "string",
"email_address": "string",
"labels": [
"string"
],
"compliance_decisions": [
{
"type": "string",
"state": "string",
"failure_codes": [
"string"
],
"expired_at": "2026-07-20T16:27:51.438Z"
}
],
"identification_numbers": [
{
"type": "string",
"issuing_country_code": "string",
"identification_number": "string",
"issuing_subdivision": "string"
}
],
"activity_limits": [
{
"type": "string",
"name": "string",
"asset": "string",
"amount": 1,
"interval": 1,
"activities": [
"string"
],
"sides": [
"string"
]
}
]
}